On Fri, Apr 23, 2010 at 3:08 PM, Tres Seaver <tsea...@palladion.com> wrote:
> Done.  The 3.6.3 release is up on PyPI:

I guess I should get out more; just noticed this thread.

Changing the stored permission names is a big deal.  If a permission
gets stored with zope.dublincore 3.6.3, then an instance running
3.6.(0|1) can't use it.  This creates a problem for rolling restarts,
where a permission stored by an instance with 3.6.3 may be accessed by
an instance using 3.6.1 (or an even older version).

Here's another possible approach:

- Keep the zope.app.dublincore.* permissions in 3.6.x, with
forward-compatibility adjustments in the ZCML, using


- Change the permission names and add backward compatible ZCML in 3.7.x:


> and the trunk is updated to indicate a forthcoming 3.7.0 release minus
> the BBB shims:

If this even needs to be done, I'd like to see it be 4.0.0, because
it's incompatible.

This just doesn't seem valuable to me.


Fred L. Drake, Jr.    <fdrake at gmail.com>
"Chaos is the score upon which reality is written." --Henry Miller
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to